package com.fjhx.area.service;

import com.fjhx.area.entity.dto.AreaInfoSelectDto;
import com.fjhx.area.entity.po.CustomizeArea;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 自定义地区表 服务类
 * </p>
 *
 * @author
 * @since 2023-05-15
 */
public interface CustomizeAreaService extends BaseService<CustomizeArea> {

    void setAreaId(List<? extends SetCustomizeAreaId> setAreaIdList);

    void setAreaName(List<? extends SetCustomizeAreaName> setAreaNameList);

    Map<Long, String> getAreaMapByIds(List<Long> idList);

    List<CustomizeArea> getList(AreaInfoSelectDto dto);

}
