package com.fjhx.area.utils;

import cn.hutool.extra.spring.SpringUtil;
import com.fjhx.area.service.CustomizeAreaService;
import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.area.service.SetCustomizeAreaName;

import java.util.Collections;
import java.util.List;
import java.util.Map;

public class CustomizeAreaUtil {

    private static final CustomizeAreaService customizeAreaService = SpringUtil.getBean(CustomizeAreaService.class);

    /**
     * 赋值地区id
     */
    public static void setAreaId(List<? extends SetCustomizeAreaId> setAreaIdList) {
        customizeAreaService.setAreaId(setAreaIdList);
    }

    /**
     * 赋值地区id
     */
    public static void setAreaId(SetCustomizeAreaId setAreaId) {
        customizeAreaService.setAreaId(Collections.singletonList(setAreaId));
    }

    /**
     * 赋值地区名称
     */
    public static void setAreaName(List<? extends SetCustomizeAreaName> setAreaNameList) {
        customizeAreaService.setAreaName(setAreaNameList);
    }

    /**
     * 赋值地区名称
     */
    public static void setAreaName(SetCustomizeAreaName setAreaName) {
        customizeAreaService.setAreaName(Collections.singletonList(setAreaName));
    }

    /**
     * 获取地区map
     */
    public static Map<Long, String> getAreaMapByIds(List<Long> idList) {
        return customizeAreaService.getAreaMapByIds(idList);
    }

}
