package com.fjhx.file.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * 文件表列表查询返回值实体
 *
 * @author zlj
 * @since 2023-03-14
 */
@Getter
@Setter
public class FileInfoVo {

    /**
     * 文件id
     */
    private Long id;

    /**
     * 文件链接
     */
    private String fileUrl;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private Long businessType;

    /**
     * 备注
     */
    private String remark;

}
