package com.fjhx.flow.entity.flow.dto;

import com.alibaba.fastjson2.JSONObject;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
public class SetStartDataDto {

    /**
     * 实例id
     */
    @NotNull(message = "实例id不能为空")
    private Long exampleId;

    /**
     * 流程发起数据
     */
    @NotNull(message = "流程发起数据不能为空")
    private JSONObject startData;

}
