package com.fjhx.socket.core.event;

import com.fjhx.socket.core.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock建立连接事件
 */
@Getter
public class WebSocketOnOpenEvent extends ApplicationEvent {

    private final WebSocketServer webSocketServer;

    public WebSocketOnOpenEvent(WebSocketServer webSocketServer) {
        super(WebSocketOnOpenEvent.class);
        this.webSocketServer = webSocketServer;
    }

}