package com.fjhx.socket.core.event;


import com.fjhx.socket.core.PushParam;
import com.fjhx.socket.core.PushTypeEnum;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock推送消息失败事件
 */
@Getter
public class WebSocketSendFailEvent extends ApplicationEvent {

    private final PushTypeEnum pushTypeEnum;
    private final PushParam pushParam;

    public WebSocketSendFailEvent(PushTypeEnum pushTypeEnum, PushParam pushParam) {
        super(WebSocketSendFailEvent.class);
        this.pushTypeEnum = pushTypeEnum;
        this.pushParam = pushParam;
    }

}