package com.fjhx.socket.entity.push.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 消息推送
 * </p>
 *
 * @author
 * @since 2023-07-13
 */
@Getter
@Setter
@TableName("push_info")
public class PushInfo extends BasePo {

    /**
     * 推送类型 1公告 2消息
     */
    private Integer type;

    /**
     * 公告id
     */
    private Long announcementId;

    /**
     * 标题
     */
    private String title;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 业务消息
     */
    private String businessData;

    /**
     * 推送用户id
     */
    private Long pushUserId;

    /**
     * 是否已读 1是 0否
     */
    private Integer pushRead;

    /**
     * 失效时间
     */
    private Date failureTime;

}
