package com.fjhx.socket.mapper.push;

import com.fjhx.socket.entity.push.po.PushInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.socket.entity.push.vo.PushInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 消息推送 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-07-13
 */
public interface PushInfoMapper extends BaseMapper<PushInfo> {

    /**
     * 消息推送分页
     */
    Page<PushInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PushInfo> wrapper);

}
