package com.fjhx.socket.service.push;

import com.fjhx.socket.entity.push.po.PushAnnouncement;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.socket.entity.push.vo.PushAnnouncementVo;
import com.fjhx.socket.entity.push.dto.PushAnnouncementSelectDto;
import com.fjhx.socket.entity.push.dto.PushAnnouncementDto;


/**
 * <p>
 * 公告 服务类
 * </p>
 *
 * @author 
 * @since 2023-07-13
 */
public interface PushAnnouncementService extends BaseService<PushAnnouncement> {

    /**
     * 公告分页
     */
    Page<PushAnnouncementVo> getPage(PushAnnouncementSelectDto dto);

    /**
     * 公告明细
     */
    PushAnnouncementVo detail(Long id);

    /**
     * 公告新增
     */
    void add(PushAnnouncementDto pushAnnouncementDto);

    /**
     * 公告编辑
     */
    void edit(PushAnnouncementDto pushAnnouncementDto);

    /**
     * 公告删除
     */
    void delete(Long id);

}
