package com.ruoyi.framework.mybatis.holder;

import lombok.Getter;
import lombok.Setter;

/**
 * 租户线程处理
 */
@Getter
@Setter
public class LogicHolder {

    private static final ThreadLocal<Boolean> LOGIC_KEY_HOLDER = ThreadLocal.withInitial(() -> false);

    public static Boolean getLogicHolder() {
        return LOGIC_KEY_HOLDER.get();
    }

    public static void setLogicHolder(Boolean logicHolder) {
        LOGIC_KEY_HOLDER.set(logicHolder);
    }

    public static void clear() {
        LOGIC_KEY_HOLDER.remove();
    }

}
