package com.fjhx.area.controller;

import com.fjhx.area.entity.dto.AreaInfoSelectDto;
import com.fjhx.area.entity.po.AreaInfo;
import com.fjhx.area.entity.po.CustomizeArea;
import com.fjhx.area.service.AreaInfoService;
import com.fjhx.area.service.CustomizeAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 自定义地区表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-05-15
 */
@RestController
@RequestMapping("/customizeArea")
public class CustomizeAreaController {

    @Autowired
    private CustomizeAreaService customizeAreaService;

    /**
     * 国家城市表列表
     */
    @PostMapping("/list")
    public List<CustomizeArea> list(@RequestBody AreaInfoSelectDto dto) {
        return customizeAreaService.getList(dto);
    }

}
