package com.fjhx.area.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 自定义地区表
 * </p>
 *
 * @author
 * @since 2023-05-15
 */
@Getter
@Setter
@TableName("customize_area")
public class CustomizeArea extends BaseIdPo {

    /**
     * 地区名称
     */
    private String name;

    /**
     * 地区中文名称
     */
    private String chineseName;

    /**
     * 父级节点
     */
    private Long parentId;

    /**
     * 层级 1国家 2省份/州 3市区
     */
    private Integer levelCode;

    /**
     * 国家代码
     */
    private String code;

}
