package com.fjhx.file.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 文件表
 * </p>
 *
 * @author zlj
 * @since 2023-03-14
 */
@Getter
@Setter
@TableName("file_info")
public class FileInfo extends BasePo {

    /**
     * 文件链接
     */
    private String fileUrl;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 备注
     */
    private String remark;

}
