package com.fjhx.socket.core;

import lombok.Data;

import java.util.Date;

@Data
public class PushParam {

    /**
     * 推送id
     */
    private Long pushId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 推送类型
     */
    private Integer type;

    /**
     * 标题
     */
    private String title;

    /**
     * 公告id
     */
    private Long announcementId;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 业务数据
     */
    private Object businessData;

    /**
     * 是否是新消息
     */
    private Boolean newMsg;

    /**
     * 消息创建时间
     */
    private Date createTime;

}
