package com.fjhx.socket.core.event;

import com.fjhx.socket.core.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock接收消息事件
 */
@Getter
public class WebSocketOnMessageEvent extends ApplicationEvent {

    private final WebSocketServer webSocketServer;
    private final String message;

    public WebSocketOnMessageEvent(WebSocketServer webSocketServer, String message) {
        super(WebSocketOnMessageEvent.class);
        this.webSocketServer = webSocketServer;
        this.message = message;
    }

}