package com.fjhx.socket.core.event;

import com.fjhx.socket.core.PushParam;
import com.fjhx.socket.core.PushTypeEnum;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock推送消息成功事件
 */
@Getter
public class WebSocketSendSuccessEvent extends ApplicationEvent {

    private final PushTypeEnum pushTypeEnum;
    private final PushParam pushParam;

    public WebSocketSendSuccessEvent(PushTypeEnum pushTypeEnum, PushParam pushParam) {
        super(WebSocketSendSuccessEvent.class);
        this.pushTypeEnum = pushTypeEnum;
        this.pushParam = pushParam;
    }


}