package com.fjhx.socket.entity.push.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 消息推送列表查询入参实体
 *
 * @author
 * @since 2023-07-13
 */
@Getter
@Setter
public class PushInfoSelectDto extends BaseSelectDto {

    /**
     * 推送消息id
     */
    private List<Long> idList;

    /**
     * 是否已读 1是 0否
     */
    private Integer pushRead;

    /**
     * 推送类型 1公告 2消息
     */
    private Integer type;

    /**
     * 是否流程
     */
    private Integer whetherFlow;

}
