package com.fjhx.socket.entity.push.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 公告
 * </p>
 *
 * @author 
 * @since 2023-07-13
 */
@Getter
@Setter
@TableName("push_announcement")
public class PushAnnouncement extends BasePo {

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 发送时间
     */
    private Date sendTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 状态 0待发送 1已发送
     */
    private Integer status;

}
