package com.fjhx.socket.mapper.push;

import com.fjhx.socket.entity.push.po.PushAnnouncement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.socket.entity.push.vo.PushAnnouncementVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 公告 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-07-13
 */
public interface PushAnnouncementMapper extends BaseMapper<PushAnnouncement> {

    /**
     * 公告分页
     */
    Page<PushAnnouncementVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PushAnnouncement> wrapper);

}
