package com.fjhx.socket.service.push;

import com.fjhx.socket.entity.push.po.PushInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.socket.entity.push.vo.PushInfoVo;
import com.fjhx.socket.entity.push.dto.PushInfoSelectDto;
import com.fjhx.socket.entity.push.dto.PushInfoDto;

import java.util.List;


/**
 * <p>
 * 消息推送 服务类
 * </p>
 *
 * @author
 * @since 2023-07-13
 */
public interface PushInfoService extends BaseService<PushInfo> {

    /**
     * 消息推送分页
     */
    Page<PushInfoVo> getPage(PushInfoSelectDto dto);

    /**
     * 消息推送明细
     */
    PushInfoVo detail(Long id);

    /**
     * 设置已读
     */
    void read(List<Long> idList);

}
